<div class="module flat">

    <mr-tabs
    *ngIf="active$ | async as active"
    [active]="active"
    (select)="select($event)">

        <mr-tab-content tabTitle="Hilos" id="threads" [active]="active === 'threads'">

            <mr-load-more-feed
            [loading]="ui.loading$ | async"
            [end]="ui.endOfThreads$ | async"
            actionText="Crea un hilo"
            actionRoute="/threads/new"
            (loadMore)="loadMore('threads')"
            [data]="threads$ | async">
                <mr-thread-brief *ngFor="let t of threads$ | async" [thread]="t"></mr-thread-brief>
            </mr-load-more-feed>

        </mr-tab-content>

        <mr-tab-content tabTitle="Respuestas" id="replies" [active]="active === 'replies'">

            <mr-load-more-feed
            [loading]="ui.loading$ | async"
            [end]="ui.endOfReplies$ | async"
            (loadMore)="loadMore('replies')"
            [data]="replies$ | async">
                <mr-reply-brief *ngFor="let r of replies$ | async" [reply]="r"
                [menu]="username === r.author"></mr-reply-brief>
            </mr-load-more-feed>

        </mr-tab-content>

        <mr-tab-content tabTitle="Fichas" id="files" [active]="active === 'files'">

            <mr-load-more-feed
            [loading]="ui.loading$ | async"
            [end]="ui.endOfFiles$ | async"
            actionText="Crea una ficha"
            actionRoute="/files/new"
            (loadMore)="loadMore('files')"
            [data]="files$ | async">
                <mr-file-expander *ngFor="let f of files$ | async" [file]="f" [sidebar]="false"></mr-file-expander>
            </mr-load-more-feed>

        </mr-tab-content>

        <ng-container *ngIf="isCurrentUser">
            <mr-tab-content tabTitle="Comentarios" id="comments" [active]="active === 'comments'">
                <mr-load-more-feed
                [loading]="ui.loading$ | async"
                [end]="ui.endOfComments$ | async"
                (loadMore)="loadMore('comments')"
                [data]="comments$ | async">
                    <mr-comment *ngFor="let comment of comments$ | async" [comment]="comment"
                    [isAuthor]="username === comment.author" [sidebar]="false"></mr-comment>
                </mr-load-more-feed>
            </mr-tab-content>

            <mr-tab-content tabTitle="Guardados" id="saved" [active]="active === 'saved'">
                <mr-profile-saved></mr-profile-saved>
            </mr-tab-content>
        </ng-container>

    </mr-tabs>

</div>
